Automatic remount of safely removed USB 3.0 drive

Bug #792085 reported by Martin Wildam on 2011-06-02
568
This bug affects 150 people
Affects Status Importance Assigned to Milestone
Nautilus
New
Undecided
Unassigned
thunar
Unknown
Unknown
Fedora
Unknown
Unknown
openSUSE
Fix Released
Medium
linux (Ubuntu)
Medium
Unassigned
nautilus (Ubuntu)
Medium
Unassigned
thunar (Ubuntu)
Medium
Unassigned
udev (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: nautilus

When I choose "Safely remove drive" context menu entry for an external USB drive within a nautilus window or directly clicking on the desktop icon, after about 10 seconds the drive is automatically remounted and a Nautilus window showing the root folder opens.

I have noticed that similar already happened with a very old Ubuntu version - Bug #110589 and as that is so long time ago I thought it is better to open a new bug. Reason of the problem might even be completely different.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: nautilus 1:2.32.2.1-0ubuntu13
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
Uname: Linux 2.6.38-8-generic-pae i686
Architecture: i386
Date: Thu Jun 2 23:40:08 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: nautilus
UpgradeStatus: No upgrade log present (probably fresh install)

Martin Wildam (mwildam) wrote :
Alex Colorado (alex-kiwikiwi) wrote :

Same behaviour for me. Although it only happens after the first time I select "Safely remove drive".
After the first automatic remount, the second time I choose "Safely remove drive" the usb external drive does not remount.

It happens for different types of USB drives and USB keys, so it's not related to a specific external drive.

Marco Sulla (xdq4gh24rq) on 2011-06-23
Changed in nautilus (Ubuntu):
status: New → Confirmed
Changed in usb-creator (Ubuntu):
status: New → Confirmed
Marco Sulla (xdq4gh24rq) on 2011-06-23
Changed in udev (Ubuntu):
status: New → Confirmed
Marco Sulla (xdq4gh24rq) wrote :

Daniel Richard G. from Bug #507309 : usb-creator has a strange quirk in that when it starts up, it (re)mounts all unmounted partitions on all connected USB drives---even those drives on which the "Safely remove drive" operation has been performed, but are still plugged into the USB bus. This is with icons and everything on the desktop; this is clearly some sort of interaction with udev, similar to what occurs when a USB drive is plugged in.

I am filing this report to request that this "mount everything" behavior be removed. It is inappropriate for usb-creator to do this, not least because it may then go on to perform destructive operations on some of these newly-mounted filesystems!

Mihai Capotă (mihaic) wrote :

I have the same problem, but only with two Western Digital USB 3 drives. The drives are My Book Essential 3 TB (WDBACW0030HBK) and My Passport Essential 500 GB (WDBACY5000ABK). I can reproduce the behavior on a laptop and a desktop, both running Ubuntu 10.10. All other drives remain unmounted.

Changed in nautilus (Ubuntu):
importance: Undecided → Low
Nikhil P Joseph (madfly8082) wrote :

does this happen in 11.10 also?

Daniel Richard G. (skunk) wrote :

In 11.10, I'm no longer seeing usb-creator remount previously-removed disks on startup.

I can't speak to the Nautilus behavior described in this bug, however, as I've never observed it myself.

Jan Sonntag (finaljason) wrote :

As you can read on https://bugzilla.gnome.org/show_bug.cgi?id=641873 the specified behaviour seems to appear only with some nvidea chipsets.
Could the bug be a driver issue?

Nikhil P Joseph (madfly8082) wrote :

if it is a driver issue, is there anyway we can roll back to the driver version in lucid?

The behavior has changed, but still exists.

After "ejecting" the device, it now disappears and does not
automatically re-appear as a device; however, in "My Computer"
location when I select "Safely remove device" it disappears and
automatically re-appears. Interesting, after re-appearing I cannot
click on and open the disk drive.

At the OS-level the USB devices automatically remount, but at the
interface level it partially disappears, re-appears in my computer
inaccessible.

TH

On Fri, Oct 14, 2011 at 8:33 PM, Nikhil P Joseph
<email address hidden> wrote:
> does this happen in 11.10 also?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (608508).
> https://bugs.launchpad.net/bugs/792085
>
> Title:
>  Automatic remount of safely removed drive
>
> Status in “nautilus” package in Ubuntu:
>  Confirmed
> Status in “udev” package in Ubuntu:
>  Confirmed
> Status in “usb-creator” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  Binary package hint: nautilus
>
>  When I choose "Safely remove drive" context menu entry for an external
>  USB drive within a nautilus window or directly clicking on the desktop
>  icon, after about 10 seconds the drive is automatically remounted and
>  a Nautilus window showing the root folder opens.
>
>  I have noticed that similar already happened with a very old Ubuntu
>  version - Bug #110589 and as that is so long time ago I thought it is
>  better to open a new bug. Reason of the problem might even be
>  completely different.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: nautilus 1:2.32.2.1-0ubuntu13
>  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
>  Uname: Linux 2.6.38-8-generic-pae i686
>  Architecture: i386
>  Date: Thu Jun  2 23:40:08 2011
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  SourcePackage: nautilus
>  UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/792085/+subscriptions
>

@Nikhil:

the bug didn't appear in lucid (for me) and i recognized it for the first time in natty (but i don't know whether the bug appears in maverick too)

@torstenaf:

sounds interesting. Can you check your dmesg-log for entries like:

[ 968.188033] usb 1-8: new high speed USB device using ehci_hcd and address 6

and after reappearing (same bus):

[ 1005.992037] usb 2-8: new full speed USB device using ohci_hcd and address 4

If it's a driver issue there is definitively something wrong with the communication between ohci_hcd and ehci_hcd.

Nikhil P Joseph (madfly8082) wrote :

@Jan: I can confirm that. My laptop's still running lucid and i noticed it first in maverick when i tried it for a short time. my machine has the nvidia mcp51 chipset. however i am not sure if the problem affects nvidia chipsets alone, ive seen some people with intel machines also encountering this problem.

Here are the dmesg messages.

After plugging in USB device:
[29103.712213] usb 1-1: new high speed USB device number 3 using ehci_hcd
[29103.852384] scsi8 : usb-storage 1-1:1.0

After clicking the "Eject" icon on the file manager (no change from before):
[29103.712213] usb 1-1: new high speed USB device number 3 using ehci_hcd
[29103.852384] scsi8 : usb-storage 1-1:1.0

After opening "Computer", right clicking on the USB drive, and
clicking "Safely Remove Drive" (the icon disappears, then re-appears):
[29103.712213] usb 1-1: new high speed USB device number 3 using ehci_hcd
[29103.852384] scsi8 : usb-storage 1-1:1.0
[29167.356346] usb 1-1: USB disconnect, device number 3
[29167.728213] usb 3-1: new full speed USB device number 2 using ohci_hcd
[29167.929262] usb 3-1: not running at top speed; connect to a high speed hub
[29167.953587] scsi9 : usb-storage 3-1:1.0

TH

On Mon, Oct 17, 2011 at 5:22 PM, Jan Sonntag <email address hidden> wrote:
> @Nikhil:
>
> the bug didn't appear in lucid (for me) and i recognized it for the
> first time in natty (but i don't know whether the bug appears in
> maverick too)
>
> @torstenaf:
>
> sounds interesting. Can you check your dmesg-log for entries like:
>
> [  968.188033] usb 1-8: new high speed USB device using ehci_hcd and
> address 6
>
> and after reappearing (same bus):
>
> [ 1005.992037] usb 2-8: new full speed USB device using ohci_hcd and
> address 4
>
> If it's a driver issue there is definitively something wrong with the
> communication between ohci_hcd and ehci_hcd.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (608508).
> https://bugs.launchpad.net/bugs/792085
>
> Title:
>  Automatic remount of safely removed drive
>
> Status in “nautilus” package in Ubuntu:
>  Confirmed
> Status in “udev” package in Ubuntu:
>  Confirmed
> Status in “usb-creator” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  Binary package hint: nautilus
>
>  When I choose "Safely remove drive" context menu entry for an external
>  USB drive within a nautilus window or directly clicking on the desktop
>  icon, after about 10 seconds the drive is automatically remounted and
>  a Nautilus window showing the root folder opens.
>
>  I have noticed that similar already happened with a very old Ubuntu
>  version - Bug #110589 and as that is so long time ago I thought it is
>  better to open a new bug. Reason of the problem might even be
>  completely different.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: nautilus 1:2.32.2.1-0ubuntu13
>  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
>  Uname: Linux 2.6.38-8-generic-pae i686
>  Architecture: i386
>  Date: Thu Jun  2 23:40:08 2011
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  SourcePackage: nautilus
>  UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/792085/+subscriptions
>

Don't experience this any more on Oneiric with Intel graphic card and 11.10 (release) under unity (other desktops not yet tested).

Jan Sonntag (finaljason) wrote :

@Martin Wildam:

which chipset you are using?

I'm actually downloading Puppy Linux and test if the bug also appears there...

Martin Wildam (mwildam) wrote :

product: Mobile 4 Series Chipset Integrated Graphics Controller
vendor: Intel Corporation

Jan Sonntag (finaljason) wrote :

Hmpf!

Puppy's kernel is too old...

Has someone a newer (Gentoo, Open Suse or whatever) live cd to test if the bug only appears in Ubuntu?

Nikhil P Joseph (madfly8082) wrote :

Im assuming we need a distribution with kernel version>=2.6.35. that's the one which shipped with maverick.

Hello,

tried with Fedora 15 Live CD on kernel 2.6.38.6-26 and did not
experience the problem there.
Ubuntu 11.10 with current kernel 3.0.0-12 also does not show the issue.

On Tue, Oct 18, 2011 at 17:33, Nikhil P Joseph
<email address hidden> wrote:
> Im assuming we need a distribution with kernel version>=2.6.35. that's
> the one which shipped with maverick.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/792085
>
> Title:
>  Automatic remount of safely removed drive
>
> Status in “nautilus” package in Ubuntu:
>  Confirmed
> Status in “udev” package in Ubuntu:
>  Confirmed
> Status in “usb-creator” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  Binary package hint: nautilus
>
>  When I choose "Safely remove drive" context menu entry for an external
>  USB drive within a nautilus window or directly clicking on the desktop
>  icon, after about 10 seconds the drive is automatically remounted and
>  a Nautilus window showing the root folder opens.
>
>  I have noticed that similar already happened with a very old Ubuntu
>  version - Bug #110589 and as that is so long time ago I thought it is
>  better to open a new bug. Reason of the problem might even be
>  completely different.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: nautilus 1:2.32.2.1-0ubuntu13
>  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
>  Uname: Linux 2.6.38-8-generic-pae i686
>  Architecture: i386
>  Date: Thu Jun  2 23:40:08 2011
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  SourcePackage: nautilus
>  UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/792085/+subscriptions
>

--
Martin Wildam

http://www.google.com/profiles/mwildam

The issue is still present for me with 3.0.0-12-generic and the nvidia chipset discussed above.

Peter Kennes (mgt2000) on 2011-12-25
Changed in nautilus (Ubuntu):
assignee: nobody → Peter Kennes (mgt2000)
Matt 6:27 (goffice) wrote :

I'm having the same issue in the Unity launcher. External hard drive connected via USB. When I right-click the drive in the launcher and then select 'safely remove', it spins down the drive for about 5 seconds, then remounts. Did not experience this in Lucid. Currently using 11.10 and kernel 3.0.0-14-generic.

Peter Kennes (mgt2000) on 2012-01-08
Changed in nautilus (Ubuntu):
assignee: Peter Kennes (mgt2000) → nobody
vasja pupkin (klient1982) wrote :

same problem Ubuntu 10.10

Matt 6:27 (goffice) wrote :

I just discovered that when I first 'safely remove' it remounts as noted in post #20 above, but once external HD activity ceases (after the remount), I can use "safely remove" a second time and it spins down and stays off.

Dennis Fehr (cy-raid) wrote :

This also affects me.. I really wish this would get fixed, it's been around for quite some time and it's so annoying. I wonder how many other people it affects, and they just don't voice their opinion..

pelm (pelle-ekh) wrote :

For me too on Ubuntu 12.04, fresh install (yesterday daily ISO). As described, first time when i securely removes a USB drive with the rightclick option in Unity launcher it automatically remount in a few seconds. The second time i try to securely remove the drive it works. In Lucid it was no problem.

Matthias Niess (mniess) wrote :

This only happens on certain nvidia chipsets and only with newer kernels (the nautilus-version doesn't really matter).

Changed in nautilus (Ubuntu):
status: Confirmed → Invalid
Changed in usb-creator (Ubuntu):
status: Confirmed → Invalid
pelm (pelle-ekh) wrote :

Is there some workaround for this issue? It's a really big issue which users not knowing it can lose data when unplug the device too soon.

Martin Wildam (mwildam) wrote :

I don't have an nvidia chipset and it happened to me also - however does not occur any more on Precise released version with latest updates.

sojourner (itsmealso2) wrote :

hitting eject instead of safely remove works for me

Martin Wildam (mwildam) wrote :

Tried again (as a while passed by and I am currently on 12.04): Still same issue.

Clicking eject in Nautilus seems to remove the device correctly, but disk usage analyzer for example still sees it - so that does not completely unmount the drive/device!

I consider this a critical issue as I am not always able to eject and in the next seconds find the correct plug - otherwise it is already remounted when I unplug it.

Marius B. Kotsbak (mariusko) wrote :

Are any of you able to test a 12.10 live CD of the latest beta or daily image?

Rod Zazubek (zazubek) wrote :

This problem has not gone away with
Linux Mint 14 (Ubuntu 12.10) on my
pc with the nvidia chipset.
In fact, it is now worse because
Safely Remove Drive has been removed.
See launchpad #1067876.
So to safely remove my portable hard drive
I now need the following 4 commands:
> udisks --unmount /dev/sdb1
> udisks --detach /dev/sdb
wait for remount
> udisks --unmount /dev/sdb1
> udisks --detach /dev/sdb
Replace sdb with whatever your drive is using.
Add more udisks --unmount commands if you have
multiple partitions mounted.

Chris (fabricator4) wrote :

Confirmed for both 12.04 and 12.10, ASRock N68-VS3 FX motherboard, NVidia chipset.

When you click "Safely remove" on the launcher icon and then wait for buffers to be flushed, device remounts. The remount is done as a USB 1.x device as the speed is very slow on transfer (about 1MiB / minute). In the log (attached) it appears to think that the device is plugged into a slow speed hub.

     *-usb:0
          description: USB controller
          product: MCP61 USB 1.1 Controller
          vendor: NVIDIA Corporation
          physical id: 2
          bus info: pci@0000:00:02.0
          version: a3
          width: 32 bits
          clock: 66MHz
          capabilities: pm ohci bus_master cap_list
          configuration: driver=ohci_hcd latency=0 maxlatency=1 mingnt=3
          resources: irq:23 memory:effff000-efffffff

1 comments hidden view all 140 comments
Walter Ribeiro (wribeirojr) wrote :

At the first time pen drive is "safely removed", it is automatically remounted immediately.
If I repeat the operation, automatic remount don't occur.

Ubuntu 13.04 - HP Pavilion dv6000

Nithin C (nithin-aneesh) wrote :

The automatic remount occurs in Ubuntu 13.04 beta 1

no longer affects: nautilus
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Nithin C (nithin-aneesh) on 2013-04-09
affects: nautilus → ubuntu
Changed in ubuntu:
status: New → Confirmed
Nithin C (nithin-aneesh) on 2013-04-09
Changed in nautilus (Ubuntu):
status: Invalid → Confirmed

After seeing this in some older version of Ubuntu this issue never reoccurred with whatever USB stick or -drive I have. I currently use Ubuntu 12.04LTS_64bit. I have no USB3 hardware.

chris blake (cblake-r) wrote :

12.04 ASUS 64 bit.
This only happens on usb 3.0 port, the 2.0 ports work as expected

I'm using 12.04 on Asus u41.
This damn problem exists for safely remove of USB hard disks but USB falsh has no probelm.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Adolfo Jayme (fitojb) on 2014-01-11
no longer affects: ubuntu
no longer affects: usb-creator (Ubuntu)
Changed in udev (Ubuntu):
importance: Undecided → Medium
Changed in thunar (Ubuntu):
status: New → Confirmed
69 comments hidden view all 140 comments

Created attachment 627090
Output of systemd-journalctl

Powering usb drive ("Safely Remove Drive") isn't working, the HDD gets reattached again.

Does "Eject" also behave same? It should really detach without re-probe.
If "Eject" works, it's the answer -- why there are two distinct entries.

(Maybe there aren't on GNOME... It exists on XFCE4, at least.)

The "Eject" button works (Gnome) but it only unmount the partition and does not actually deactivate the disk.

If the disk is connected to an usb 2.0 port "Safely Remove Drive" works, turning off the disk.

Oliver, this seems like a regression with xhci (with respect to ehci). Is there a known fix / workaround?

I also remember that one of my USB disks behaves like this.

(In reply to Takashi Iwai from comment #4)
> Oliver, this seems like a regression with xhci (with respect to ehci). Is
> there a known fix / workaround?
>
> I also remember that one of my USB disks behaves like this.

One workaround is to attach the HDD to an USB 2.0 port.

What does the eject command on a terminal do?

Download full text (7.0 KiB)

(In reply to Oliver Neukum from comment #6)
> What does the eject command on a terminal do?

Hi Oliver,

The eject command just unmount the partitions.

medina:~ # eject /dev/sdb

systemd-journalctl log:

Jun 30 13:12:50 medina.novell.com udisksd[2047]: Cleaning up mount point /run/media/luis/LUIS (device 8:17 is not mounted)
Jun 30 13:12:50 medina.novell.com ntfs-3g[4472]: Unmounting /dev/sdb1 (LUIS)
Jun 30 13:12:50 medina.novell.com udisksd[2047]: Cleaning up mount point /run/media/luis/ALBERTO (device 8:18 is not mounted)

However, if detach the hdd it gets remounted in my USB 3.0 port.

medina:~ # udisksctl power-off -b /dev/sdb

systemd-journalctl log:

Jun 30 13:13:01 medina.novell.com udisksd[2047]: Powering off /dev/sdb - successfully sent SCSI command START STOP UNIT
Jun 30 13:13:01 medina.novell.com kernel: sd 7:0:0:0: [sdb] Synchronizing SCSI cache
Jun 30 13:13:01 medina.novell.com udisksd[2047]: Powered off /dev/sdb - successfully wrote to sysfs path /sys/devices/pci0000:00/0000:00:14.0/usb3/3-1/remove
Jun 30 13:13:01 medina.novell.com kernel: sd 7:0:0:0: [sdb]
Jun 30 13:13:01 medina.novell.com kernel: Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Jun 30 13:13:01 medina.novell.com kernel: usb 3-1: USB disconnect, device number 5
Jun 30 13:13:01 medina.novell.com kernel: usb 3-1: new SuperSpeed USB device number 6 using xhci_hcd
Jun 30 13:13:01 medina.novell.com kernel: usb 3-1: New USB device found, idVendor=0bc2, idProduct=2321
Jun 30 13:13:01 medina.novell.com kernel: usb 3-1: New USB device strings: Mfr=2, Product=3, SerialNumber=1
Jun 30 13:13:01 medina.novell.com kernel: usb 3-1: Product: Expansion
Jun 30 13:13:01 medina.novell.com kernel: usb 3-1: Manufacturer: Seagate
Jun 30 13:13:01 medina.novell.com kernel: usb 3-1: SerialNumber: NA4BQHLX
Jun 30 13:13:01 medina.novell.com kernel: scsi8 : uas
Jun 30 13:13:01 medina.novell.com kernel: scsi 8:0:0:0: Direct-Access Seagate Expansion 0502 PQ: 0 ANSI: 6
Jun 30 13:13:01 medina.novell.com kernel: sd 8:0:0:0: Attached scsi generic sg1 type 0
Jun 30 13:13:01 medina.novell.com kernel: sd 8:0:0:0: [sdb] 3907029167 512-byte logical blocks: (2.00 TB/1.81 TiB)
Jun 30 13:13:01 medina.novell.com kernel: sd 8:0:0:0: [sdb] 4096-byte physical blocks
Jun 30 13:13:01 medina.novell.com kernel: sd 8:0:0:0: [sdb] Write Protect is off
Jun 30 13:13:01 medina.novell.com kernel: sd 8:0:0:0: [sdb] Mode Sense: 4f 00 00 00
Jun 30 13:13:01 medina.novell.com kernel: sd 8:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
Jun 30 13:13:01 medina.novell.com mtp-probe[4516]: checking bus 3, device 6: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-1"
Jun 30 13:13:01 medina.novell.com mtp-probe[4516]: bus: 3, device: 6 was not an MTP device
Jun 30 13:13:03 medina.novell.com kernel: sdb: sdb1 sdb2 sdb3
Jun 30 13:13:03 medina.novell.com kernel: sd 8:0:0:0: [sdb] Attached SCSI disk
Jun 30 13:13:03 medina.novell.com kernel: hfsplus: write access to a journaled filesystem is not supported, use the force option at your own risk, mounting read-only.
Jun 30 13:13:03 medina.novell.com udisksd[2047]: Mounted /dev/sdb2 at /run/media/luis/ALBERTO on behalf of uid 1000
Jun 30 13...

Read more...

*** Bug 859374 has been marked as a duplicate of this bug. ***

This is currently handled upstream. The patches are not yet ready. Something is wrong with the port state machine.

It's perhaps ready now :).

(In reply to Jiri Slaby from comment #12)
> It's perhaps ready now :).

Indeed. Please test KOTD.

Download full text (5.0 KiB)

Same results with 4.2.rc6-1.1.g4a2cf4a

medina:~ # eject /dev/sdb

systemd-journalctl log:

Aug 13 10:45:10 medina.novell.com udisksd[1953]: Cleaning up mount point /run/media/luis/LUIS (device 8:17 is not mounted)
Aug 13 10:45:10 medina.novell.com ntfs-3g[3278]: Unmounting /dev/sdb1 (LUIS)
Aug 13 10:45:10 medina.novell.com udisksd[1953]: Cleaning up mount point /run/media/luis/ALBERTO (device 8:18 is not mounted)

medina:~ # udisksctl power-off -b /dev/sdb

systemd-journalctl log:

Aug 13 10:45:21 medina.novell.com bluetoothd[997]: Endpoint unregistered: sender=:1.28 path=/MediaEndpoint/A2DPSource
Aug 13 10:45:21 medina.novell.com bluetoothd[997]: Endpoint unregistered: sender=:1.28 path=/MediaEndpoint/A2DPSink
Aug 13 10:45:21 medina.novell.com systemd[1321]: pam_unix(systemd-user:session): session closed for user gdm
Aug 13 10:45:22 medina.novell.com udisksd[1953]: Powering off /dev/sdb - successfully sent SCSI command START STOP UNIT
Aug 13 10:45:22 medina.novell.com kernel: sd 6:0:0:0: [sdb] Synchronizing SCSI cache
Aug 13 10:45:23 medina.novell.com kernel: sd 6:0:0:0: [sdb] Synchronize Cache(10) failed: Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Aug 13 10:45:23 medina.novell.com udisksd[1953]: Powered off /dev/sdb - successfully wrote to sysfs path /sys/devices/pci0000:00/0000:00:14.0/usb3/3-1/remove
Aug 13 10:45:23 medina.novell.com kernel: usb 3-1: USB disconnect, device number 4
Aug 13 10:45:23 medina.novell.com kernel: usb 3-1: new SuperSpeed USB device number 5 using xhci_hcd
Aug 13 10:45:23 medina.novell.com kernel: usb 3-1: New USB device found, idVendor=0bc2, idProduct=2321
Aug 13 10:45:23 medina.novell.com kernel: usb 3-1: New USB device strings: Mfr=2, Product=3, SerialNumber=1
Aug 13 10:45:23 medina.novell.com kernel: usb 3-1: Product: Expansion
Aug 13 10:45:23 medina.novell.com kernel: usb 3-1: Manufacturer: Seagate
Aug 13 10:45:23 medina.novell.com kernel: usb 3-1: SerialNumber: NA4BQHLX
Aug 13 10:45:23 medina.novell.com kernel: scsi host7: uas
Aug 13 10:45:23 medina.novell.com kernel: scsi 7:0:0:0: Direct-Access Seagate Expansion 0502 PQ: 0 ANSI: 6
Aug 13 10:45:23 medina.novell.com kernel: sd 7:0:0:0: Attached scsi generic sg1 type 0
Aug 13 10:45:23 medina.novell.com kernel: sd 7:0:0:0: [sdb] 3907029167 512-byte logical blocks: (2.00 TB/1.81 TiB)
Aug 13 10:45:23 medina.novell.com kernel: sd 7:0:0:0: [sdb] 4096-byte physical blocks
Aug 13 10:45:23 medina.novell.com kernel: sd 7:0:0:0: [sdb] Write Protect is off
Aug 13 10:45:23 medina.novell.com kernel: sd 7:0:0:0: [sdb] Mode Sense: 4f 00 00 00
Aug 13 10:45:23 medina.novell.com kernel: sd 7:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
Aug 13 10:45:23 medina.novell.com mtp-probe[3392]: checking bus 3, device 5: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-1"
Aug 13 10:45:23 medina.novell.com mtp-probe[3392]: bus: 3, device: 5 was not an MTP device
Aug 13 10:45:25 medina.novell.com kernel: sdb: sdb1 sdb2 sdb3
Aug 13 10:45:25 medina.novell.com kernel: sd 7:0:0:0: [sdb] Attached SCSI disk
Aug 13 10:45:25 medina.novell.com kernel: iwlwifi 0000:03:00.0: request for firmware file 'iwlwifi-7265D-11.ucode' failed.
Aug 13 10:45:25...

Read more...

Ok, then this is not the port status issue.
Please activate dynamic debugging of xhci
echo "modules xhci_hcd +p" > /sys/kernel/debug/dynamic_debug/control
and retest.

Created attachment 646177
systemd-journalctl output

Oliver,

Started "systemd-journalctl -f" and then the following commands and/or actions where ejecuted:

{1.- Activate dynamic debugging of xhci}

  medina:~ # date; echo "modules xhci_hcd +p" > /sys/kernel/debug/dynamic_debug/control
  Thu Sep 3 14:35:29 CDT 2015
  -bash: echo: write error: Invalid argument
  medina:~ # date; echo "module xhci_hcd +p" > /sys/kernel/debug/dynamic_debug/control
  Thu Sep 3 14:35:37 CDT 2015

{2.- Inserted HDD}

{3.- Eject HDD}

  medina:~ # date; eject /dev/sdb
  Thu Sep 3 14:36:17 CDT 2015

{4.- PowerOff HDD (with automatic remouting)}

  medina:~ # date; udisksctl power-off -b /dev/sdb
  Thu Sep 3 14:36:29 CDT 2015

{5.- Disable dynamic debugging of xhci}

  medina:~ # date; echo "module xhci_hcd -p" > /sys/kernel/debug/dynamic_debug/control
  Thu Sep 3 14:36:56 CDT 2015

Could you please redo and split the logs when you do something?

Created attachment 646529
systemd-journalctl divided by action

Sure,

I attached a tar.gz with three files:

01-insertHDD.log, inserting the HDD...

02-ejectHDD.log, execution of the command "eject /dev/sdb"

03-powerOffHDD.log, powering off and automatic remounting, command "udisksctl power-off -b /dev/sdb"

medina:~ # date; eject /dev/sdb
Tue Sep 8 09:44:07 CDT 2015
medina:~ # date; udisksctl power-off -b /dev/sdb
Tue Sep 8 09:44:33 CDT 2015

Inconclusive. Something crashes the drive. Possibly LPM is too much for your device. Please try this kernel disabling it:

https://build.opensuse.org/project/monitor?project=home%3Aoneukum%3Abnc922634_disableLPM

Ping?

Koopee (koopee1234) on 2016-03-13
summary: - Automatic remount of safely removed drive
+ Automatic remount of safely removed usb 3.0 drive
C de-Avillez (hggdh2) on 2016-04-15
Changed in nautilus:
importance: Unknown → Undecided
status: Unknown → New
26 comments hidden view all 140 comments
Petrus Adamus (dohnp5a1) wrote :

The problem is still there in Ubuntu 16.04 on ASUS N750JV-T4148 for my ADATA NH13 HDD 2.5" 1000GB.

Koopee (koopee1234) wrote :

Updated to Ubuntu 16.04 and the issue persists. How the importance of this issue could be raised? USB 2 works fine, USB3 does not.

I think we should inform udisks developer - David Zeuthen.

Dear David!
Please read linked bug report carefully (especially comment 79
<https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/792085/comments/79>
with blog post
<http://dhanar10.blogspot.com/2015/03/usb-hdd-gets-mounted-again-after-safely.html>).
It seems that problem came from udisks.
Modern Fedora and RedHat are affected too
<https://bugzilla.redhat.com/show_bug.cgi?id=1278944>.
Arch is affected by this bug see forum
<https://bbs.archlinux.org/viewtopic.php?id=184796>.

It may cause data loss!
Please investigate, confirm and fix this bug!

With best regards,
Norbert.

On Fri, Aug 26, 2016 at 12:07 PM, Koopee <email address hidden> wrote:

> Updated to Ubuntu 16.04 and the issue persists. How the importance of
> this issue could be raised? USB 2 works fine, USB3 does not.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1194608).
> https://bugs.launchpad.net/bugs/792085
>
> Title:
> Automatic remount of safely removed usb 3.0 drive
>
> Status in Nautilus:
> New
> Status in thunar:
> Unknown
> Status in nautilus package in Ubuntu:
> Confirmed
> Status in thunar package in Ubuntu:
> Confirmed
> Status in udev package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: nautilus
>
> When I choose "Safely remove drive" context menu entry for an external
> USB drive within a nautilus window or directly clicking on the desktop
> icon, after about 10 seconds the drive is automatically remounted and
> a Nautilus window showing the root folder opens.
>
> I have noticed that similar already happened with a very old Ubuntu
> version - Bug #110589 and as that is so long time ago I thought it is
> better to open a new bug. Reason of the problem might even be
> completely different.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: nautilus 1:2.32.2.1-0ubuntu13
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> Architecture: i386
> Date: Thu Jun 2 23:40:08 2011
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> ProcEnviron:
> LANGUAGE=en_US:en
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: nautilus
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/nautilus/+bug/792085/+subscriptions
>

Norbert (nrbrtx) wrote :

OK, David. I'm sorry.

On Fri, Aug 26, 2016 at 12:59 PM, David Zeuthen <email address hidden> wrote:

> I have not worked on udisks since 2013. Please remove me from the Cc.
> Thanks.
>
> On Fri, Aug 26, 2016 at 5:53 AM Nrbrtx <email address hidden> wrote:
>
>> I think we should inform udisks developer - David Zeuthen.
>>
>> Dear David!
>> Please read linked bug report carefully (especially comment 79
>> <https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/792085/comments/79>
>> with blog post
>> <http://dhanar10.blogspot.com/2015/03/usb-hdd-gets-mounted-again-after-safely.html>).
>> It seems that problem came from udisks.
>> Modern Fedora and RedHat are affected too
>> <https://bugzilla.redhat.com/show_bug.cgi?id=1278944>.
>> Arch is affected by this bug see forum
>> <https://bbs.archlinux.org/viewtopic.php?id=184796>.
>>
>> It may cause data loss!
>> Please investigate, confirm and fix this bug!
>>
>> With best regards,
>> Norbert.
>>
>> On Fri, Aug 26, 2016 at 12:07 PM, Koopee <email address hidden>
>> wrote:
>>
>>> Updated to Ubuntu 16.04 and the issue persists. How the importance of
>>> this issue could be raised? USB 2 works fine, USB3 does not.
>>>
>>> --
>>> You received this bug notification because you are subscribed to a
>>> duplicate bug report (1194608).
>>> https://bugs.launchpad.net/bugs/792085
>>>
>>> Title:
>>> Automatic remount of safely removed usb 3.0 drive
>>>
>>> Status in Nautilus:
>>> New
>>> Status in thunar:
>>> Unknown
>>> Status in nautilus package in Ubuntu:
>>> Confirmed
>>> Status in thunar package in Ubuntu:
>>> Confirmed
>>> Status in udev package in Ubuntu:
>>> Confirmed
>>>
>>> Bug description:
>>> Binary package hint: nautilus
>>>
>>> When I choose "Safely remove drive" context menu entry for an external
>>> USB drive within a nautilus window or directly clicking on the desktop
>>> icon, after about 10 seconds the drive is automatically remounted and
>>> a Nautilus window showing the root folder opens.
>>>
>>> I have noticed that similar already happened with a very old Ubuntu
>>> version - Bug #110589 and as that is so long time ago I thought it is
>>> better to open a new bug. Reason of the problem might even be
>>> completely different.
>>>
>>> ProblemType: Bug
>>> DistroRelease: Ubuntu 11.04
>>> Package: nautilus 1:2.32.2.1-0ubuntu13
>>> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
>>> Uname: Linux 2.6.38-8-generic-pae i686
>>> Architecture: i386
>>> Date: Thu Jun 2 23:40:08 2011
>>> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
>>> (20110427.1)
>>> ProcEnviron:
>>> LANGUAGE=en_US:en
>>> LANG=en_US.UTF-8
>>> SHELL=/bin/bash
>>> SourcePackage: nautilus
>>> UpgradeStatus: No upgrade log present (probably fresh install)
>>>
>>> To manage notifications about this bug go to:
>>> https://bugs.launchpad.net/nautilus/+bug/792085/+subscriptions
>>>
>>
>>

Norbert (nrbrtx) wrote :

Dear udisks developers (Martin Pitt, Tom Yan, Simon McVittie, Kylie
McClain, Mike Frysinger, Mathieu Trudel-Lapierre, Peter Hatina, Phillip
Susi)!

Please read this bug report carefully (especially comment 79
<https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/792085/comments/79>
with blog post
<http://dhanar10.blogspot.com/2015/03/usb-hdd-gets-mounted-again-after-safely.html>
).
It seems that problem came from udisks.
Modern Fedora and RedHat are affected too
<https://bugzilla.redhat.com/show_bug.cgi?id=1278944>.
Arch is affected by this bug (see forum
<https://bbs.archlinux.org/viewtopic.php?id=184796>).

It may cause data loss!
Please investigate, confirm and fix this bug!

On Fri, Aug 26, 2016 at 12:07 PM, Koopee <email address hidden> wrote:

> Updated to Ubuntu 16.04 and the issue persists. How the importance of
> this issue could be raised? USB 2 works fine, USB3 does not.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1194608).
> https://bugs.launchpad.net/bugs/792085
>
> Title:
> Automatic remount of safely removed usb 3.0 drive
>
> Status in Nautilus:
> New
> Status in thunar:
> Unknown
> Status in nautilus package in Ubuntu:
> Confirmed
> Status in thunar package in Ubuntu:
> Confirmed
> Status in udev package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: nautilus
>
> When I choose "Safely remove drive" context menu entry for an external
> USB drive within a nautilus window or directly clicking on the desktop
> icon, after about 10 seconds the drive is automatically remounted and
> a Nautilus window showing the root folder opens.
>
> I have noticed that similar already happened with a very old Ubuntu
> version - Bug #110589 and as that is so long time ago I thought it is
> better to open a new bug. Reason of the problem might even be
> completely different.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: nautilus 1:2.32.2.1-0ubuntu13
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> Architecture: i386
> Date: Thu Jun 2 23:40:08 2011
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> ProcEnviron:
> LANGUAGE=en_US:en
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: nautilus
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/nautilus/+bug/792085/+subscriptions
>

Eero (eero+launchpad) wrote :

How this bug can exist for over 5 years with a low priority, when there's a real possibility of data loss?

JK (ogni11) wrote :

Definitely not Nautilus related. The same occurs if you run “Disks” utility, select a USB 3 disk and then “Power off” from the menu near the top-right corner. To securely remove a USB 3 disk I unmount it first then run “Disks” utility, select it and then press “Standby Now” from the same menu. No problems so far. Could this be a temporary solution until this is fixed?

Simon McVittie (smcv) wrote :

> Dear udisks developers (Martin Pitt, Tom Yan, Simon McVittie, Kylie McClain, Mike Frysinger, Mathieu Trudel-Lapierre, Peter Hatina, Phillip Susi)!

No, this is not appropriate. It is ridiculous to assume that anyone who has ever contributed to a project is a maintainer for that project, responsible for that project, or responsible for fixing your favourite bug (even if it is common and serious). If that was how it worked, nobody rational would ever contribute anything.

If you want to pay someone to be responsible for fixing your favourite bug, various companies offer support contracts. Otherwise, those who do the work (in this case neither you nor me) set their own priorities.

20 comments hidden view all 140 comments

Upstream has provided a fix:

commit 91ff70db0c49d22fac1b249bd16949978406c271
Author: Mathias Nyman <email address hidden>
Date: Mon Aug 29 14:45:17 2016 +0300

    usb: hub: Fix auto-remount of safely removed or ejected USB-3 devices

    USB-3 does not have any link state that will avoid negotiating a connection
    with a plugged-in cable but will signal the host when the cable is
    unplugged.

    For USB-3 we used to first set the link to Disabled, then to RxDdetect to
    be able to detect cable connects or disconnects. But in RxDetect the connected
    device is detected again and eventually enabled.

    Instead set the link into U3 and disable remote wakeups for the device.
    This is what Windows does, and what Alan Stern suggested.

fix added to kernel trees

20 comments hidden view all 140 comments
msj (mallikarjunasj) wrote :

For USB 3.0 Disks, Across Ubuntu Distros..... This surely needs to have more priority.

Unless this is fixed, We noobs might simply give up on Ubuntu/Linux altogether.

My Machine: Ubuntu 14.04 LTS, NVidia Chipset, Asus X552C

Device: Seagate BackupPlus 1 TB USB POwered Ext Hard disk Issue: Ext HDD keeps spinning(I place the palm below Ext HDD & feel the spinning is still On), Light keeps glowing, Nautilus Left Side Panel shows the disk is till mounted.

mount will list all mounted disks.. I used & found Seagate HDD is mounted as /dev/sdb1 I installed udisks using apt-get & ran these 2 commands in terminal. udisks --unmount /dev/sdb1 udisks --detach /dev/sdb

Caution***not udisks --detach /dev/sdb1, It is /dev/sdb

Now, the Nautilus Left Side Panel doesn't show the mounted icon for the Ext HDD, but the spinning is still on.

I tried sudo umount -f /dev/sdb1

I get the error, umount2: Invalid argument umount: /dev/sdb1: not mounted

My Problem is I've already lost 2 different 1 TB HDD's while working on Ubuntu. Data Retrieval costs are upwards of $3.5 per GB in Bangalore (200 INR per GB at SP Road....)

Does anyone have a solution..... Note: I've had the Ext HDD attached to the laptop from past 7 days & spinning is still On.

I'm at end of my wits & can't afford to loose the data in this HDD.

Changed in opensuse:
importance: Unknown → Medium
status: Unknown → Fix Released
21 comments hidden view all 140 comments
god (humper) wrote :

I think it would be much better to just switch to systemd-mount for all removable media - see https://bugs.launchpad.net/ubuntu/+source/ubuntu-meta/+bug/1627546 for details.

Norbert (nrbrtx) wrote :

Dear Ubuntu developers!

Please apply SUSE's patch on kernels in Ubuntu 12.04 LTS, 14.04 LTS, 16.04 LTS, 16.10 - http://kernel.suse.com/cgit/kernel-source/commit/?id=43e64619bd7eeb1f3d287e8faffc16ed3c1f2a2b .

tags: added: precise trusty xenial
tags: removed: i386
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Brad Figg (brad-figg) on 2016-10-16
affects: linux-meta (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in thunar (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in nautilus (Ubuntu):
importance: Low → Medium

openSUSE-SU-2016:2583-1: An update that solves four vulnerabilities and has 21 fixes is now available.

Category: security (important)
Bug References: 1000287,1000304,1000907,1001462,1001486,1004418,1004462,1005101,799133,881008,909994,911687,922634,963655,972460,978094,979681,987703,991247,991665,993890,993891,996664,999600,999932
CVE References: CVE-2016-5195,CVE-2016-7039,CVE-2016-7425,CVE-2016-8658
Sources used:
openSUSE Leap 42.1 (src): drbd-8.4.6-10.1, hdjmod-1.28-26.1, ipset-6.25.1-7.1, kernel-debug-4.1.34-33.1, kernel-default-4.1.34-33.1, kernel-docs-4.1.34-33.3, kernel-ec2-4.1.34-33.1, kernel-obs-build-4.1.34-33.1, kernel-obs-qa-4.1.34-33.1, kernel-obs-qa-xen-4.1.34-33.1, kernel-pae-4.1.34-33.1, kernel-pv-4.1.34-33.1, kernel-source-4.1.34-33.1, kernel-syms-4.1.34-33.1, kernel-vanilla-4.1.34-33.1, kernel-xen-4.1.34-33.1, lttng-modules-2.7.0-4.1, pcfclock-0.44-268.1, vhba-kmp-20140928-7.1

This is an autogenerated message for OBS integration:
This bug (922634) was mentioned in
https://build.opensuse.org/request/show/437000 13.2 / kernel-source

openSUSE-SU-2016:2625-1: An update that solves 12 vulnerabilities and has 19 fixes is now available.

Category: security (important)
Bug References: 1000287,1001486,1003077,1003925,1003931,1004045,1004418,1004462,881008,909994,911687,922634,951155,960689,978094,980371,986570,989152,991247,991608,991665,993890,993891,994296,994520,994748,994752,994759,996664,999600,999932
CVE References: CVE-2015-7513,CVE-2015-8956,CVE-2016-0823,CVE-2016-1237,CVE-2016-5195,CVE-2016-5696,CVE-2016-6327,CVE-2016-6480,CVE-2016-6828,CVE-2016-7117,CVE-2016-7425,CVE-2016-8658
Sources used:
openSUSE 13.2 (src): bbswitch-0.8-3.22.1, cloop-2.639-14.22.1, crash-7.0.8-22.1, hdjmod-1.28-18.23.1, ipset-6.23-22.1, kernel-debug-3.16.7-45.1, kernel-default-3.16.7-45.1, kernel-desktop-3.16.7-45.1, kernel-docs-3.16.7-45.2, kernel-ec2-3.16.7-45.1, kernel-obs-build-3.16.7-45.1, kernel-obs-qa-3.16.7-45.1, kernel-obs-qa-xen-3.16.7-45.1, kernel-pae-3.16.7-45.1, kernel-source-3.16.7-45.1, kernel-syms-3.16.7-45.1, kernel-vanilla-3.16.7-45.1, kernel-xen-3.16.7-45.1, pcfclock-0.44-260.22.1, vhba-kmp-20140629-2.22.1, virtualbox-5.0.28-54.2, xen-4.4.4_05-51.2, xtables-addons-2.6-24.1

summary: - Automatic remount of safely removed usb 3.0 drive
+ Automatic remount of safely removed USB 3.0 drive
1 comments hidden view all 140 comments

SUSE-SU-2016:2912-1: An update that solves 11 vulnerabilities and has 111 fixes is now available.

Category: security (important)
Bug References: 1000189,1000287,1000304,1000776,1001419,1001486,1002165,1003079,1003153,1003400,1003568,1003866,1003925,1003964,1004252,1004462,1004517,1004520,1005666,1006691,1007615,1007886,744692,772786,789311,857397,860441,865545,866130,868923,874131,876463,898675,904489,909994,911687,915183,921338,921784,922064,922634,924381,924384,930399,931454,934067,937086,937888,940545,941420,946309,955446,956514,959463,961257,962846,966864,967640,970943,971975,971989,974406,974620,975596,975772,976195,977687,978094,979451,979928,982783,983619,984194,984419,984779,984992,985562,986445,987192,987333,987542,987565,987621,987805,988440,988617,988715,989152,989953,990245,991247,991608,991665,992244,992555,992591,992593,992712,993392,993841,993890,993891,994296,994438,994520,994748,995153,995968,996664,997059,997299,997708,997896,998689,998795,998825,999577,999584,999600,999779,999907,999932
CVE References: CVE-2015-8956,CVE-2016-5696,CVE-2016-6130,CVE-2016-6327,CVE-2016-6480,CVE-2016-6828,CVE-2016-7042,CVE-2016-7097,CVE-2016-7425,CVE-2016-8658,CVE-2016-8666
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP1 (src): kernel-default-3.12.67-60.64.18.1
SUSE Linux Enterprise Software Development Kit 12-SP1 (src): kernel-docs-3.12.67-60.64.18.3, kernel-obs-build-3.12.67-60.64.18.1
SUSE Linux Enterprise Server 12-SP1 (src): kernel-default-3.12.67-60.64.18.1, kernel-source-3.12.67-60.64.18.1, kernel-syms-3.12.67-60.64.18.1, kernel-xen-3.12.67-60.64.18.1
SUSE Linux Enterprise Module for Public Cloud 12 (src): kernel-ec2-3.12.67-60.64.18.1
SUSE Linux Enterprise Live Patching 12 (src): kgraft-patch-SLE12-SP1_Update_9-1-6.3
SUSE Linux Enterprise Desktop 12-SP1 (src): kernel-default-3.12.67-60.64.18.1, kernel-source-3.12.67-60.64.18.1, kernel-syms-3.12.67-60.64.18.1, kernel-xen-3.12.67-60.64.18.1

Norbert (nrbrtx) wrote :

Dear Ubuntu developers!

Please apply SUSE's patch on kernels in Ubuntu 12.04 LTS, 14.04 LTS, 16.04 LTS, 16.10 - http://kernel.suse.com/cgit/kernel-source/commit/?id=43e64619bd7eeb1f3d287e8faffc16ed3c1f2a2b .

Why it is so difficult?
Why you ignore this serious bug?

Many users have USB 3.0 on their computers for at least seven years.
Switching to OpenSUSE from Ubuntu is not good option.

1 comments hidden view all 140 comments

SUSE-SU-2016:2976-1: An update that solves 13 vulnerabilities and has 87 fixes is now available.

Category: security (important)
Bug References: 1000189,1001419,1002165,1003077,1003344,1003568,1003677,1003866,1003925,1004517,1004520,1005857,1005896,1005903,1006917,1006919,1007944,763198,771065,799133,803320,839104,843236,860441,863873,865783,871728,907611,908458,908684,909077,909350,909484,909618,909994,911687,915183,920016,922634,922947,928138,929141,934760,951392,956514,960689,963655,967716,968010,968014,971975,971989,973203,974620,976867,977687,979514,979595,979681,980371,982218,982783,983535,983619,984102,984194,984992,985206,986337,986362,986365,986445,987565,988440,989152,989261,989764,989779,991608,991665,991923,992566,993127,993890,993891,994296,994436,994618,994759,994926,995968,996329,996664,997708,998399,998689,999584,999600,999907,999932
CVE References: CVE-2013-4312,CVE-2015-7513,CVE-2015-8956,CVE-2016-0823,CVE-2016-3841,CVE-2016-4998,CVE-2016-5696,CVE-2016-6480,CVE-2016-6828,CVE-2016-7042,CVE-2016-7097,CVE-2016-7117,CVE-2016-7425
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src): kernel-docs-3.0.101-88.3
SUSE Linux Enterprise Server 11-SP4 (src): kernel-bigmem-3.0.101-88.1, kernel-default-3.0.101-88.1, kernel-ec2-3.0.101-88.1, kernel-pae-3.0.101-88.1, kernel-ppc64-3.0.101-88.1, kernel-source-3.0.101-88.1, kernel-syms-3.0.101-88.1, kernel-trace-3.0.101-88.1, kernel-xen-3.0.101-88.1
SUSE Linux Enterprise Server 11-EXTRA (src): kernel-default-3.0.101-88.1, kernel-pae-3.0.101-88.1, kernel-ppc64-3.0.101-88.1, kernel-trace-3.0.101-88.1, kernel-xen-3.0.101-88.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src): kernel-bigmem-3.0.101-88.1, kernel-default-3.0.101-88.1, kernel-ec2-3.0.101-88.1, kernel-pae-3.0.101-88.1, kernel-ppc64-3.0.101-88.1, kernel-trace-3.0.101-88.1, kernel-xen-3.0.101-88.1

openSUSE-SU-2016:3021-1: An update that solves 12 vulnerabilities and has 118 fixes is now available.

Category: security (important)
Bug References: 1000189,1000287,1000304,1000776,1001419,1001486,1002165,1003079,1003153,1003400,1003568,1003866,1003925,1004252,1004418,1004462,1004517,1004520,1005666,1006691,1007615,1007886,744692,772786,789311,799133,857397,860441,865545,866130,868923,874131,875631,876145,876463,898675,904489,909994,911687,915183,921338,921784,922064,922634,924381,924384,930399,931454,934067,937086,937888,940545,941420,946309,954986,955446,956514,959463,961257,962846,963655,963767,966864,967640,970943,971975,971989,974406,974620,975596,975772,976195,977687,978094,979451,979681,979928,982783,983619,984194,984419,984779,984992,985562,986445,987192,987333,987542,987565,987621,987805,988440,988617,988715,989152,989953,990245,991247,991608,991665,992244,992555,992591,992593,992712,993392,993841,993890,993891,994296,994438,994520,994748,994758,995153,995968,996664,997059,997299,997708,997896,998689,998795,998825,999577,999584,999600,999779,999907,999932
CVE References: CVE-2013-5634,CVE-2015-8956,CVE-2016-2069,CVE-2016-5696,CVE-2016-6130,CVE-2016-6327,CVE-2016-6480,CVE-2016-6828,CVE-2016-7042,CVE-2016-7097,CVE-2016-7425,CVE-2016-8658
Sources used:
openSUSE 13.1 (src): cloop-2.639-11.36.1, crash-7.0.2-2.36.1, hdjmod-1.28-16.36.1, ipset-6.21.1-2.40.1, iscsitarget-1.4.20.3-13.36.1, kernel-debug-3.12.67-58.1, kernel-default-3.12.67-58.1, kernel-desktop-3.12.67-58.1, kernel-docs-3.12.67-58.2, kernel-ec2-3.12.67-58.1, kernel-pae-3.12.67-58.1, kernel-source-3.12.67-58.1, kernel-syms-3.12.67-58.1, kernel-trace-3.12.67-58.1, kernel-vanilla-3.12.67-58.1, kernel-xen-3.12.67-58.1, ndiswrapper-1.58-37.1, openvswitch-1.11.0-0.43.1, pcfclock-0.44-258.37.1, vhba-kmp-20130607-2.36.1, virtualbox-4.2.36-2.68.1, xen-4.3.4_10-69.1, xtables-addons-2.3-2.35.1

Displaying first 40 and last 40 comments. View all 140 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.